> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API-Schlüssel auflisten

> Dieser Endpunkt liefert eine Liste aller API-Schlüssel des Nutzers.

## GET /api-keys

Dieser Endpunkt gibt eine Liste aller API-Schlüssel des authentifizierten Kontos zurück. Aus Sicherheitsgründen wird niemals der vollständige Schlüssel zurückgegeben – nur eine Vorschau.

### Antwort

<ResponseField name="apiKeys" type="array">
  Array von API-Schlüsselobjekten.

  <Expandable title="Eigenschaften eines apiKey-Eintrags">
    <ResponseField name="id" type="string">
      Eindeutige Kennung des API-Schlüssels.
    </ResponseField>

    <ResponseField name="name" type="string">
      Vom Nutzer vergebener Name des API-Schlüssels.
    </ResponseField>

    <ResponseField name="keyPreview" type="string">
      Maskierte Vorschau des Schlüssels (z. B. `llm_1234...abcd`).
    </ResponseField>

    <ResponseField name="isActive" type="boolean">
      Ob der Schlüssel aktiv und verwendbar ist.
    </ResponseField>

    <ResponseField name="lastUsedAt" type="string">
      ISO-8601-Zeitstempel der letzten Nutzung des Schlüssels.
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      ISO-8601-Zeitstempel der Schlüsselerstellung.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="total" type="number">
  Gesamtanzahl der API-Schlüssel.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/api-keys \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/api-keys',
    {
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "apiKeys": [
      {
        "id": "llm_1706123456_abc123def456",
        "name": "Production Key",
        "keyPreview": "llm_1706...f456",
        "isActive": true,
        "lastUsedAt": "2026-01-20T15:30:00.000Z",
        "createdAt": "2026-01-01T10:00:00.000Z"
      },
      {
        "id": "llm_1706234567_xyz789abc012",
        "name": "Development Key",
        "keyPreview": "llm_1706...c012",
        "isActive": true,
        "lastUsedAt": null,
        "createdAt": "2026-01-15T09:00:00.000Z"
      }
    ],
    "total": 2
  }
  ```
</ResponseExample>
